<?php
namespace Magento\CurrencySymbol\Block\Adminhtml\System\Currency\Rate\Services;

/**
 * Interceptor class for @see \Magento\CurrencySymbol\Block\Adminhtml\System\Currency\Rate\Services
 */
class Interceptor extends \Magento\CurrencySymbol\Block\Adminhtml\System\Currency\Rate\Services implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Directory\Model\Currency\Import\Source\ServiceFactory $srcCurrencyFactory, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $srcCurrencyFactory, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
